Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class CertPathBuilderException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--java.security.cert.CertPathBuilderException

All Implemented Interfaces:
  Serializable

public class CertPathBuilderException
extends GeneralSecurityException

An exception indicating one of a variety of problems encountered when building a certification path with a `CertPathBuilder`.

A `CertPathBuilderException` provides support for wrapping exceptions. The `getCause` method returns the throwable, if any, that caused this exception to be thrown.

Concurrent Access

Unless otherwise specified, the methods defined in this class are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

Since:
  1.4
See Also:
  `CertPathBuilder`, Serialized Form

Constructor Summary
`CertPathBuilderException()` Creates a `CertPathBuilderException` with `null` as its detail message.
`CertPathBuilderException(String msg)` Creates a `CertPathBuilderException` with the given detail message.
`CertPathBuilderException(String msg, Throwable cause)` Creates a `CertPathBuilderException` with the specified detail message and cause.
`CertPathBuilderException(Throwable cause)` Creates a `CertPathBuilderException` that wraps the specified throwable.

Method Summary
`Throwable` | `getCause()` Returns the internal (wrapped) cause, or `null` if the cause is nonexistent or unknown.
`String` | `getMessage()` Returns the detail message for this `CertPathBuilderException`.
`void` | `printStackTrace()` Prints a stack trace to `System.err`, including the backtrace of the cause, if any.
`void` | `printStackTrace(PrintStream ps)` Prints a stack trace to a `PrintStream`, including the backtrace of the cause, if any.
`void` | `printStackTrace(PrintWriter pw)` Prints a stack trace to a `PrintWriter`, including the backtrace of the cause, if any.
`String` | `toString()` Returns a string describing this exception, including a description of the internal (wrapped) cause if there is one.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertPathBuilderException

    public CertPathBuilderException()

  Creates a `CertPathBuilderException` with `null` as its detail message.

### CertPathBuilderException

    public CertPathBuilderException(String msg)

  Creates a `CertPathBuilderException` with the given detail message. The detail message is a `String` that describes this particular exception in more detail.

Parameters:
  `msg` - the detail message

### CertPathBuilderException

    public CertPathBuilderException(Throwable cause)

  Creates a `CertPathBuilderException` that wraps the specified throwable. This allows any exception to be converted into a `CertPathBuilderException`, while retaining information about the wrapped exception, which may be useful for debugging. The detail message is set to (`cause==null ? null : cause.toString()` ) (which typically contains the class and detail message of cause).

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

### CertPathBuilderException

    public CertPathBuilderException(String msg,
                                    Throwable cause)

  Creates a `CertPathBuilderException` with the specified detail message and cause.

Parameters:
  `msg` - the detail message
  `cause` - the cause (which is saved for later retrieval by the `getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Method Detail

### getCause

    public Throwable getCause()

  Returns the internal (wrapped) cause, or `null` if the cause is nonexistent or unknown.

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the cause of this throwable or `null` if the cause is nonexistent or unknown.

### getMessage

    public String getMessage()

  Returns the detail message for this `CertPathBuilderException`.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the detail message, or `null` if neither the message nor internal cause were specified

### toString

    public String toString()

  Returns a string describing this exception, including a description of the internal (wrapped) cause if there is one.

  Overrides:
    `toString` in class `Throwable`
  Returns:
    a string representation of this `CertPathBuilderException`

### printStackTrace

    public void printStackTrace()

  Prints a stack trace to `System.err`, including the backtrace of the cause, if any.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Prints a stack trace to a `PrintStream`, including the backtrace of the cause, if any.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `ps` - the `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Prints a stack trace to a `PrintWriter`, including the backtrace of the cause, if any.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `pw` - the `PrintWriter` to use for output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.